package com.qmth.themis.business.bean.result;

import com.qmth.themis.business.excel.ExcelProperty;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

/**
 * @Description: 时间尺度数据
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2022/8/22
 */
public class TimeScaleDataResult implements Serializable {

    @ApiModelProperty(value = "日期格式=小时:分")
    @ExcelProperty(name = "日期格式=小时:分", width = 30, index = 1)
    private String hour;

    @ApiModelProperty(value = "在线人数")
    @ExcelProperty(name = "在线人数", width = 30, index = 2)
    private Integer onlineCount = 0;

    @ApiModelProperty(value = "预警人数")
    @ExcelProperty(name = "预警人数", width = 30, index = 3)
    private Integer warnCount = 0;

    public String getHour() {
        return hour;
    }

    public void setHour(String hour) {
        this.hour = hour;
    }

    public Integer getOnlineCount() {
        return onlineCount;
    }

    public void setOnlineCount(Integer onlineCount) {
        this.onlineCount = onlineCount;
    }

    public Integer getWarnCount() {
        return warnCount;
    }

    public void setWarnCount(Integer warnCount) {
        this.warnCount = warnCount;
    }
}
